Name:             fossil
Version:          2.2
Release:          5%{?dist}
Summary:          A distributed SCM with bug tracking and wiki

Group:            Development/Tools
License:          BSD
URL:              https://www.fossil-scm.org/
Source0:          https://fossil-scm.org/index.html/uv/fossil-src-%{version}.tar.gz

# This patch improves security of the Fossil setuid handling by also dropping extra
# groups.
# Unfortunatelly, I cannot send this patch upstream due to the requirement of a
# Contributor Agreement that I cannot sign.
# If anyone else is willing to do so: feel free to ping me (puiterwijk) and I will
# do my best to help.
Patch0:           fossil-setgroups.patch

BuildRequires:    zlib-devel
BuildRequires:    sqlite-devel
BuildRequires:    openssl-devel

%description
Fossil is a simple, high-reliability, distributed software configuration
management with distributed bug tracking, distributed wiki and built-in web
interface.

%package doc
Summary:          Fossil documentation
Group:            Documentation

%description doc
Documentation in HTML format for %{name}.

%prep
%setup -q
%patch0 -p0
%{__rm} -f src/sqlite3.c

# Update config.guess/sub to fix builds on new architectures (aarch64/ppc64le)
cp /usr/lib/rpm/config.* autosetup

%build
# This gives configure-without-libdir-spec, but this is done because this is not generated by autoconf (but by autosetup)
# Because of this, it does not support the --host= argument like expected, and as such %%configure cannot be used
./configure --prefix=/usr --disable-internal-sqlite --with-openssl=auto --json
%{__make} CFLAGS="%{optflags}" %{?_smp_mflags}

%install
# For EPEL5 support
%{__rm} -fr %{buildroot}
make DESTDIR=%{buildroot} install

# For EPEL5 support
%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root,-)
%license COPYRIGHT-BSD2.txt
%attr(0755, -, -) %{_bindir}/fossil

%files doc
%doc www

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 28 2017 Patrick Uiterwijk <puiterwijk@redhat.com> - 2.2-2
- Update source URL
- Add patch to drop extra groups

* Fri Apr 28 2017 Patrick Uiterwijk <puiterwijk@redhat.com> - 2.2-1
- Rebase to 2.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Mar 20 2016 Divya Cote <divya.hariomtatsat@gmail.com> - 1.34-1
- Update to latest release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.33-1
- Update to latest release

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28-4.20140127173344
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.28-3.20140127173344
- Update config.guess/sub to fix ftbfs on new architectures (aarch64/ppc64le)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28-2.20140127173344
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.28-1.20140127173344
- Update to 1.28
- Remove patch to use system sqlite

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-3.20130216000435
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.25-2.20130216000435
- Update file permissions for bin/fossil

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.25-1.20130216000435
- Update packaging

* Tue Sep 08 2009 Silas Sewell <silas@sewell.ch> - 0.0-0.2.20090828225927
- Add doc subpackage and make optflags

* Mon Sep 07 2009 Silas Sewell <silas@sewell.ch> - 0.0-0.1.20090828225927
- Initial package
